javafx.beans.value

## Interface ObservableBooleanValue

- All Superinterfaces:
    Observable, ObservableValue<Boolean>
  All Known Implementing Classes:
    BooleanBinding, BooleanExpression, BooleanProperty, BooleanPropertyBase, JavaBeanBooleanProperty, ReadOnlyBooleanProperty, ReadOnlyBooleanPropertyBase, ReadOnlyBooleanWrapper, ReadOnlyJavaBeanBooleanProperty, SimpleBooleanProperty, SimpleStyleableBooleanProperty, StyleableBooleanProperty

      public interface ObservableBooleanValue
      extends ObservableValue<Boolean>

  An observable boolean value.
  Since:
    JavaFX 2.0
  See Also:
    `ObservableValue`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `get()` Returns the current value of this `ObservableBooleanValue`.

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

- - ### Method Detail

    - #### get

          boolean get()

      Returns the current value of this `ObservableBooleanValue`.
      Returns:
        The current value

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.